# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global rpm_version 0.08
%global cpan_version 0.08

Name:		perl-DateTime-Format-MySQL
Version:	%{rpm_version}
Release:	2.%{__distinit}%{__distvers}
Summary:	Parse and format MySQL dates and times
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/DateTime-Format-MySQL
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Format-MySQL-%{cpan_version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DateTime::Format::Builder)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
# Old requires generator does not support the syntax used in this module
%if 0%{?fedora} < 21 && 0%{?rhel} < 8
Requires:	perl(DateTime::Format::Builder)
%endif

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in order
to create DateTime objects, and it can take a DateTime object and produce a
string representing it in the MySQL format.

%prep
%setup -q -n DateTime-Format-MySQL-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::MySQL.3*

%changelog
* Fri Aug  4 2023 Paul Howarth <paul@city-fan.org> - 0.08-2
- Do not use rpmversion macro, which is a new builtin since rpm-4.18.92

* Tue Aug  1 2023 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Fix parsing microsecond < 100,000 off DateTime object by zero-padding

* Fri Mar  3 2023 Paul Howarth <paul@city-fan.org> - 0.07.01-7
- Use SPDX-format license tag

* Tue May 25 2021 Paul Howarth <paul@city-fan.org> - 0.07.01-1
- Update to 0.0701
  - If microseconds are set on provided DateTime object to time_format, use
    them (CPAN RT#136549)
- Use %%license unconditionally

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 0.06-10
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Tue Aug 16 2016 Paul Howarth <paul@city-fan.org> - 0.06-2
- BR: perl-generators where available

* Sat Feb 13 2016 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Fixed typo in regex that strangely works most of the time

* Tue Oct 28 2014 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Added parsing of MySQL fractional seconds (microseconds)
  - Allowed additional valid MySQL formats (delimiters in DATE and TIME fields
    using punctuation, 'T' separator between DATE and TIME and single-digit
    time or date values)
- This release by XMIKEW → update source URL

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.04-22
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 0.04-16
- Switch to Module::Build flow since we need Module::Build anyway
- BR: perl(DateTime)
- Don't need to define %%{perl_vendorlib}

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 0.04-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.04-12
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.04-11
- Fix dist tag for RHEL-6 Beta

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> - 0.04-10
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-9
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.04-6
- Rebuild for new perl

* Tue Jan 01 2008 Ralf Corsépius <rc040203@freenet.de> - 0.04-5
- Adjust License-tag
- Add BR: perl(Test::More) (BZ 419631)
- Minor spec cosmetics

* Fri Sep 08 2006 Chris Weyl <cweyl@alumni.drew.edu>
- Add missing explicit requires on perl(DateTime::Format::Builder)
- Misc spec tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-3
- Bump for mass rebuild

* Thu Aug 10 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-2
- Bump for build & release

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-1
- Initial spec file for F-E
